GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PySingleZoneDynamicNetworkSolver Class Referencefinal

`#include <py_solver.h>`

Inheritance diagram for PySingleZoneDynamicNetworkSolver:
[legend]
Collaboration diagram for PySingleZoneDynamicNetworkSolver:
[legend]

## Public Member Functions
| PySingleZoneDynamicNetworkSolver (const gridfire::engine::DynamicEngine &engine)
gridfire::NetOut | evaluate (gridfire::solver::SolverContextBase &solver_ctx, const gridfire::NetIn &netIn) const override
| Evaluates the network for a given timestep.
Public Member Functions inherited from gridfire::solver::SingleZoneNetworkSolver< engine::DynamicEngine >
| SingleZoneNetworkSolver (const EngineT &engine)
| Constructor for the NetworkSolverStrategy.
virtual | ~SingleZoneNetworkSolver ()=default
| Virtual destructor.
| SingleZoneNetworkSolver (const EngineT &engine)
| Constructor for the NetworkSolverStrategy.
virtual | ~SingleZoneNetworkSolver ()=default
| Virtual destructor.

## Additional Inherited Members
Protected Attributes inherited from gridfire::solver::SingleZoneNetworkSolver< engine::DynamicEngine >
const EngineT & | m_engine
| The engine used by this solver strategy.
const EngineT & | m_engine
| The engine used by this solver strategy.

## Constructor & Destructor Documentation

## ◆ PySingleZoneDynamicNetworkSolver()

PySingleZoneDynamicNetworkSolver::PySingleZoneDynamicNetworkSolver | ( | const gridfire::engine::DynamicEngine & | engine | ) |
| inline explicit

## Member Function Documentation

## ◆ evaluate()

gridfire::NetOut PySingleZoneDynamicNetworkSolver::evaluate | ( | gridfire::solver::SolverContextBase & | solver_ctx,
|  | const gridfire::NetIn & | netIn ) const
| override virtual

Evaluates the network for a given timestep.

Parameters

  solver_ctx |
  engine_ctx |
  netIn | The input conditions for the network.

Returns
  The output conditions after the timestep.

Implements gridfire::solver::SingleZoneNetworkSolver< engine::DynamicEngine >.

The documentation for this class was generated from the following files:

- src/python/solver/trampoline/py_solver.h
- src/python/solver/trampoline/py_solver.cpp